// FLE_ComboBox.h: interface for the FLE_ComboBox class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FLE_COMBOBOX_H__E12FEBC4_E510_4850_8EDF_40E01B94C476__INCLUDED_)
#define AFX_FLE_COMBOBOX_H__E12FEBC4_E510_4850_8EDF_40E01B94C476__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "FLE_Input.h"

#include <fltk/Fl_Menu_.h>
#include <fltk/Fl_Menu_Window.h>

class ComboBrowser;
class ComboWindow;

class FLE_ComboDivider : public Fl_Widget {
public:
	FLE_ComboDivider();
	void draw();
	void layout(); 
};

class FLE_ComboBox : public Fl_Menu_ {
public:	

  enum { // values for type()
    NORMAL = 0,
    NONEDITABLE = 1,
    INDENTED = 2,
    NONEDITABLE_INDENTED = 3
  };
  static Fl_Named_Style* default_style;

  FLE_ComboBox(int,int,int,int,const char * = 0);
  virtual ~FLE_ComboBox();

  void popup();
  void hide_popup();

  virtual int handle(int);

  void maxw(int i) { maxw_ = i; }
  void maxh(int i) { maxh_ = i; }
  int maxw() { return maxw_; }
  int maxh() { return maxh_; }

  int minw() { return minw_; }
  int minh() { return minh_; }

  void clear() { Fl_Menu_::clear(); item(0); }

  void value(const char *v) { input_->value(v); }
  const char *value() { return input_->value(); }

  FLE_Input *input() { return input_; }

protected:
  virtual void draw();

  friend class ComboWindow;
  friend class ComboBrowser;

  ComboWindow *win;  
  ComboBrowser *list;

  FLE_Input *input_;
  int minw_, minh_, maxw_, maxh_;
  int over_now, over_last;

  static void input_cb(Fl_Input *in, void *d);
};

#endif // !defined(AFX_FLE_COMBOBOX_H__E12FEBC4_E510_4850_8EDF_40E01B94C476__INCLUDED_)
